import { createStore } from "vuex";

export default createStore({
  state: {
    // 列表
    list: [],
    // 全局设置
    setting: {},
    // 应用内快捷键
    appShortcutKeyMap: new Map(),
    // 当前语言
    currentLanguage: null,
    // 语言
    language: {
      chinese: {
        setting: "设置",
        about: "关于",
        checkForUpdates: "检查更新",
        checkForUpdatesNewVersionMessage: '检查到有新版本，点击"确定"跳转官网下载最新版本。',
        checkForUpdatesLatestVersionMessage: "当前已经是最新版本。",
        checkForUpdatesFailedMessage: "检查更新失败，请确认网络。",
        exit: "退出",
        ok: "确定",
        cancel: "取消",
        newClassification: "新建分类",
        newSubClassification: "新建子分类",
        editClassification: "编辑分类",
        editSubClassification: "编辑子分类",
        edit: "编辑",
        delete: "删除",
        cut: "剪切",
        copy: "复制",
        paste: "粘贴",
        notFoundFileMessage: "找不到指定的文件",
        notFoundFolderMessage: "找不到指定的文件夹",
        newItem: "新建项目",
        clearItem: "清空项目",
        open: "打开",
        runAsAdministrator: "以管理员身份运行",
        openLocation: "打开文件所在的位置",
        moveTo: "移动到",
        copyTo: "复制到",
        name: "名称",
        shortcutKey: "快捷键",
        shortcutKeyIncompleteMessage: "快捷键不完整，请完善您的快捷键。",
        shortcutKeyConflictMessage(text, type) {
          if (type == 0) {
            return '与"' + text + '"分类快捷键产生冲突，请重新设置。';
          } else {
            return '与"' + text + '"项目快捷键产生冲突，请重新设置。';
          }
        },
        shortcutKeyConflictSettingGeneralShowHideMessage: '与"设置-常规"中的"显示/隐藏"快捷键产生冲突，请重新设置。',
        shortcutKeyConflictSettingItemSearchMessage: '与"设置-项目"中的"搜索"快捷键产生冲突，请重新设置。',
        shortcutKeyConflictSettingQuickSearchShowHideMessage: '与"设置-快速搜索"中的"显示/隐藏"快捷键产生冲突，请重新设置。',
        editItem: "编辑项目",
        colon: "：",
        target: "目标",
        browse: "浏览",
        defaultIcon: "默认图标",
        url: "网址",
        getUrlInfo: "获取网址信息",
        urlErrorMessage: "获取网址信息失败，请手动填写。",
        arguments: "参数",
        file: "文件",
        folder: "文件夹",
        gettingUrlInfo: "获取中",
        officialWebsite: "官方网站",
        start: "启动",
        autoStart: "开机启动",
        showHide: "显示/隐藏",
        language: "语言",
        theme: "主题",
        search: "搜索",
        doubleClickOpen: "双击打开",
        general: "常规",
        appearance: "外观",
        item: "项目",
        layout: "布局",
        iconSize: "图标大小",
        backupRestoreData: "备份/恢复数据",
        backup: "备份",
        restore: "恢复",
        openAfterHideMainInterface: "打开后隐藏主界面",
        tile: "平铺",
        list: "列表",
        large: "大",
        medium: "中",
        small: "小",
        chinese: "简体中文",
        traditionalChinese: "繁體中文",
        window: "窗口",
        alwaysTop: "永远置顶",
        notPrompt: "不再提示",
        feedback: "反馈",
        system: "系统",
        computer: "计算机",
        document: "文档",
        controlPanel: "控制面板",
        networkAndSharingCenter: "网络和共享中心",
        recycleBin: "回收站",
        fileExplorerOptions: "文件资源管理器选项",
        programsAndFeatures: "程序和功能",
        calculator: "计算器",
        services: "服务",
        commandPrompt: "命令提示符",
        taskManager: "任务管理器",
        registryEditor: "注册表编辑器",
        powerOptions: "电源选项",
        menu: "菜单",
        close: "关闭",
        edgeAutoHide: "停靠在桌面边缘时自动隐藏",
        startupTray: "启动后最小化到系统托盘",
        save: "保存",
        lockItem: "锁定项目",
        unlockItem: "解锁项目",
        copyFullPath: "复制完整路径",
        lockSize: "锁定尺寸",
        classification: "分类",
        width: "宽度",
        size: "尺寸",
        hideLosingFocus: "失去焦点后隐藏",
        mouseHover: "鼠标悬停",
        switch: "切换",
        useItemOpen: "从程序外拖动文件到项目图标上时用此项目打开文件",
        hideTray: "隐藏托盘图标",
        middleClick: "中键单击",
        mouseWheel: "鼠标滚轮",
        remark: "备注",
        show: "显示",
        sort: "排序",
        ascendingOrder: "升序",
        descendingOrder: "降序",
        transparency: "窗口透明度",
        byInitial: "按首字母",
        recordOpenNumber: "记录打开次数",
        openNumber: "打开次数",
        byOpenNumber: "按打开次数",
        fixedPosition: "固定位置",
        data: "数据",
        dataDirectory: "数据目录",
        dataDirectoryNote:
          '注意：无特殊需求请勿随意修改数据目录，如果修改数据目录后，会在Dawn Launcher程序目录的上一级目录创建名字为".dawn_launcher_profile"的文件来存储数据目录地址，请勿随意删除。',
        select: "选择",
        hide: "隐藏",
        hideItemName: "隐藏名称",
        alwaysCenter: "永远居中",
        rewardAndSponsorship: "打赏&赞助",
        showFollowMousePosition: "显示时跟随鼠标位置",
        default: "默认",
        quickSearch: "快速搜索",
        rememberSelectionState: "记住选择状态",
        onlyTileTakeEffect: "只在布局为“平铺”模式下生效。",
        onlyListTakeEffect: "只在布局为“列表”模式下生效。",
        left: "左侧",
        top: "顶部",
        right: "右侧",
        enable: "启用",
        lockClassification: "锁定分类",
        unlockClassification: "解锁分类",
        exportIcon: "导出图标",
        information: "信息",
        itemNameShowRowCount: "名称显示行数",
        nameAlign: "名称对齐",
        center: "居中",
        webSearch: "网络搜索",
        searchSource: "搜索源",
        keyword: "关键字",
        add: "新增",
        wSearchKeyword: "{w}为搜索关键字。",
        webSearchPrompt: '输入"冒号 + 关键字 + 空格"或"关键字 + 空格"使用网络搜索，例如使用谷歌搜索，输入":g"或"g"，然后按下空格键，进入网络搜索模式。',
        perfmon: "资源监视器",
        computerManagement: "计算机管理",
        openWith: "打开方式",
        shutdown: "关机",
        restart: "重启",
        sleep: "睡眠",
        lock: "锁定",
        multipleItem: "多项目",
        itemList: "项目列表",
        selectedItems: "已选项目",
        startMenu: "开始菜单",
        loading: "加载中",
        hoverMS: "悬停[毫秒]",
        numberOfColumns: "列数",
        globalShortcutKey: "全局快捷键",
        backgroundTransparency: "背景透明度",
        function: "功能",
        checkInvalidItem: "检查无效项目",
        useIconBackgroundColor: "使用图标背景颜色",
        doNotDisturb: "勿扰模式",
        doNotDisturbNote: "开启勿扰模式后，计算机在游戏、应用全屏模式下不会弹出Dawn Launcher窗口。",
        createDesktopShortcut: "创建快捷方式",
        fontSize: "字体大小",
        network: "网络",
        proxy: "代理",
        useProxy: "使用代理",
        username: "用户名",
        password: "密码",
        address: "地址",
        proxyNote: "仅支持HTTP代理，填写“地址”时需要带通信协议和端口，例如：http://127.0.0.1:7890，如果没有用户名和密码，为空即可。",
        color: "颜色",
        fontShadow: "字体阴影",
        mainColor: "主色",
        secondaryColor: "副色",
        mainFontColor: "字体主色",
        secondaryFontColor: "字体副色",
        borderColor: "边框色",
        backgroundImage: "背景图",
        backgroundImageMode: "背景图模式",
        repeat: "重复",
        notRepeat: "不重复",
        zoom: "缩放",
        backgroundImagePosition: "背景图定位",
        bottom: "底部",
        windowRoundedCorners: "窗口圆角",
        doubleClickTaskbar: "双击任务栏",
        refreshIconCache: "刷新图标缓存",
        extraLarge: "超大",
        titleBar: "标题栏",
        title: "标题",
        setClassificationIcon: "设置分类图标",
        setIcon: "设置图标",
        deleteIcon: "删除图标",
        iconMode: "图标模式",
        mode: "模式",
        normal: "普通",
        icon: "图标",
        toRelativePath: "转相对路径",
        toAbsolutePath: "转绝对路径",
        delayDisplayMS: "延迟显示[毫秒]",
        delayHidingMS: "延迟隐藏[毫秒]",
        explorerMenu: "资源管理器菜单",
        associatedFolder: "关联文件夹",
        associatedFolderMessage: "设置关联文件夹会清空原分类下所有项目，请谨慎操作，是否确认？",
        numberKey: "数字键",
        none: "无",
        ctrlNumberKey: "Ctrl + 数字键",
        altNumberKey: "Alt + 数字键",
        fixedClassification: "固定分类",
        autoSwitchClassification: "项目列表滚动到底部或顶部时自动切换分类",
        colonKeywordSpace: "冒号 + 关键字 + 空格",
        keywordSpace: "关键字 + 空格",
        excludeSearch: "排除搜索",
        modifyIcon: "修改图标",
        switchEnglish: "显示窗口时将输入法切换为英文模式",
        startLocation: "起始位置",
        startLocationNote: "无特殊需求为空即可",
        batchOperation: "批量操作",
        cancelBatchOperation: "取消批量操作",
        openNow: "仅剩一项时立即打开",
        backgroundImageTransparency: "背景图透明度",
        batchDeleteItemMessage: "是否批量删除所选项目？",
        turnOffMonitor: "关闭显示器",
        showOnlyFiles: "只显示文件",
        showOnlyFolders: "只显示文件夹",
        description: "描述",
        deleteClassificationMessage: "是否删除当前分类？",
        batchMoveItemMessage: "是否批量移动项目？",
        batchCopyItemMessage: "是否批量复制项目？",
        downloadImageFailedMessage: "下载图片失败。",
        downloadImageNotImageFormatMessage: "链接不是图片格式。",
        refreshIconCurrentClassificationMessage: "是否刷新当前分类下所有项目图标缓存？",
        relativeCurrentClassificationMessage: "是否将当前分类下所有项目都转为相对路径？",
        absoluteCurrentClassificationMessage: "是否将当前分类下所有项目都转为绝对路径？",
        batchRefreshIconCache: "批量刷新图标缓存",
        batchConversionRelativePath: "批量转为相对路径",
        batchConversionAbsolutePath: "批量转为绝对路径",
        convertRelativePath: "转为相对路径",
        convertAbsolutePath: "转为绝对路径",
        deleteItemMessage: "是否删除项目？",
        clearItemMessage: "是否清空当前分类下所有项目？",
        modifyDataDirectoryMessage: "是否确定修改数据目录，点击”确定“后，将修改数据目录并重启应用程序。",
        backUpData: "备份数据",
        restoreData: "恢复数据",
        aggregateClassification: "聚合分类",
        aggregateClassificationNote: "说明：聚合分类可以将所有分类下的项目聚合到一起，按照设置的排序方式、项目数量进行排序和显示。",
        aggregateClassificationSortNote: "如果选择按打开次数排序，需要进入设置-项目-打开-记录打开次数，开启记录打开次数功能。",
        aggregateClassificationMessage: "设置聚合分类会清空原分类下所有项目，请谨慎操作，是否确认？",
        itemNumber: "项目数量",
        byLastOpen: "按最近打开",
        hiddenItem: "隐藏项",
        hiddenItemNote: "输入需要隐藏文件/文件夹名称，多个按英文逗号分割。",
        svgCodeIcon: "SVG代码图标",
        svgCodeIconPlaceholder: "请输入SVG代码...",
        svgCodeIconValidationNote: "输入SVG代码后，需要先点击“校验”按钮。",
        networkIcon: "网络图标",
        networkIconPlaceholder: "请输入链接地址...",
        networkIconNote: "支持JPG、JPEG、GIF、PNG、ICO、SVG格式图片。",
        getIcon: "获取图标",
        localIcon: "本地图标",
        notRefreshIcon: "不参与刷新图标缓存",
        targetNotExist: "目标不存在",
        switchClassificationCollapseOtherSubClassification: "切换分类时收起其他子分类",
        hideWindowFoldChildClassification: "隐藏窗口时收起子分类",
        displayMainInterface: "显示主界面",
        hideThisItem: "隐藏该项",
        selectAll: "全选",
        emptyRecycleBin: "清空回收站",
        matchingConditions: "匹配条件",
        historyRecord: "历史记录",
        openAfterHideQuickSearchWindow: "打开后隐藏快速搜索窗口",
        subClassification: "子分类",
        fontWeight: "字体粗细",
        fontLineHeight: "字体行高",
      },
      traditionalChinese: {
        setting: "設定",
        about: "關於",
        checkForUpdates: "檢查更新",
        checkForUpdatesNewVersionMessage: '檢查到有新版本，點選"確定"跳轉官網下載最新版本。',
        checkForUpdatesLatestVersionMessage: "當前已經是最新版本。",
        checkForUpdatesFailedMessage: "檢查更新失敗，請確認網路。",
        exit: "退出",
        ok: "確定",
        cancel: "取消",
        newClassification: "新建分類",
        newSubClassification: "新建子分類",
        editClassification: "編輯分類",
        editSubClassification: "編輯子分類",
        edit: "編輯",
        delete: "刪除",
        cut: "剪切",
        copy: "復制",
        paste: "黏貼",
        notFoundFileMessage: "找不到指定的文件",
        notFoundFolderMessage: "找不到指定的檔案夾",
        newItem: "新建項目",
        clearItem: "清空項目",
        open: "打開",
        runAsAdministrator: "以管理員身份運行",
        openLocation: "打開文件所在的位置",
        moveTo: "移動到",
        copyTo: "復制到",
        name: "名稱",
        shortcutKey: "快捷鍵",
        shortcutKeyIncompleteMessage: "快捷鍵不完整，請完善您的快捷鍵。",
        shortcutKeyConflictMessage(text, type) {
          if (type == 0) {
            return '與"' + text + '"分類快捷鍵產生沖突，請重新設定。';
          } else {
            return '與"' + text + '"項目快捷鍵產生沖突，請重新設定。';
          }
        },
        shortcutKeyConflictSettingGeneralShowHideMessage: '與"設定-常規"中的"顯示/隱藏"快捷鍵產生沖突，請重新設定。',
        shortcutKeyConflictSettingItemSearchMessage: '與"設定-項目"中的"搜索"快捷鍵產生沖突，請重新設定。',
        shortcutKeyConflictSettingQuickSearchShowHideMessage: '與"設定-快速搜索"中的"顯示/隱藏"快捷鍵產生沖突，請重新設定。',
        editItem: "編輯項目",
        colon: "：",
        target: "目標",
        browse: "瀏覽",
        defaultIcon: "預設圖示",
        url: "網址",
        getUrlInfo: "獲取網址信息",
        urlErrorMessage: "獲取網址信息失敗，請手動填寫。",
        arguments: "參數",
        file: "文件",
        folder: "檔案夾",
        gettingUrlInfo: "獲取中",
        officialWebsite: "官方網站",
        start: "啟動",
        autoStart: "開機啟動",
        showHide: "顯示/隱藏",
        language: "語言",
        theme: "主題",
        search: "搜索",
        doubleClickOpen: "雙擊打開",
        general: "常規",
        appearance: "外觀",
        item: "項目",
        layout: "佈局",
        iconSize: "圖示大小",
        backupRestoreData: "備份/恢復數據",
        backup: "備份",
        restore: "恢復",
        openAfterHideMainInterface: "打開後隱藏主界面",
        tile: "平鋪",
        list: "列錶",
        large: "大",
        medium: "中",
        small: "小",
        chinese: "简体中文",
        traditionalChinese: "繁體中文",
        window: "視窗",
        alwaysTop: "永遠置頂",
        notPrompt: "不再提示",
        feedback: "反饋",
        system: "繫統",
        computer: "計算機",
        document: "文檔",
        controlPanel: "控制面闆",
        networkAndSharingCenter: "網路和共享中心",
        recycleBin: "回收站",
        fileExplorerOptions: "文件資源管理器選項",
        programsAndFeatures: "程式和功能",
        calculator: "計算器",
        services: "服務",
        commandPrompt: "命令提示符",
        taskManager: "任務管理器",
        registryEditor: "註冊錶編輯器",
        powerOptions: "電源選項",
        menu: "菜單",
        close: "關閉",
        edgeAutoHide: "停靠在桌面邊緣時自動隱藏",
        startupTray: "啟動後最小化到繫統托盤",
        save: "保存",
        lockItem: "鎖定項目",
        unlockItem: "解鎖項目",
        copyFullPath: "復制完整路徑",
        lockSize: "鎖定尺寸",
        classification: "分類",
        width: "寬度",
        size: "尺寸",
        hideLosingFocus: "失去焦點後隱藏",
        mouseHover: "滑鼠懸停",
        switch: "切換",
        useItemOpen: "從程式外拖動文件到項目圖示上時用此項目打開文件",
        hideTray: "隱藏托盤圖示",
        middleClick: "中鍵單擊",
        mouseWheel: "滑鼠滾輪",
        remark: "備註",
        show: "顯示",
        sort: "排序",
        ascendingOrder: "升序",
        descendingOrder: "降序",
        transparency: "視窗透明度",
        byInitial: "按首字母",
        recordOpenNumber: "記錄打開次數",
        openNumber: "打開次數",
        byOpenNumber: "按打開次數",
        fixedPosition: "固定位置",
        data: "數據",
        dataDirectory: "數據目錄",
        dataDirectoryNote:
          '註意：無特殊需求請勿隨意修改數據目錄，如果修改數據目錄後，會在Dawn Launcher程式目錄的上一級目錄創建名字為".dawn_launcher_profile"的文件來存儲數據目錄地址，請勿隨意刪除。',
        select: "選擇",
        hide: "隱藏",
        hideItemName: "隱藏名稱",
        alwaysCenter: "永遠居中",
        rewardAndSponsorship: "打賞&贊助",
        showFollowMousePosition: "顯示時跟隨滑鼠位置",
        default: "預設",
        quickSearch: "快速搜索",
        rememberSelectionState: "記住選擇狀態",
        onlyTileTakeEffect: "只在佈局為“平鋪”模式下生效。",
        onlyListTakeEffect: "只在佈局為“列錶”模式下生效。",
        left: "左側",
        top: "頂部",
        right: "右側",
        enable: "啟用",
        lockClassification: "鎖定分類",
        unlockClassification: "解鎖分類",
        exportIcon: "導出圖示",
        information: "信息",
        itemNameShowRowCount: "名稱顯示行數",
        nameAlign: "名稱對齊",
        center: "居中",
        webSearch: "網路搜索",
        searchSource: "搜索源",
        keyword: "關鍵字",
        add: "新增",
        wSearchKeyword: "{w}為搜索關鍵字。",
        webSearchPrompt: '輸入"冒號 + 關鍵字 + 空格"或"關鍵字 + 空格"使用網路搜索，例如使用谷歌搜索，輸入":g"或"g"，然後按下空格鍵，進入網路搜索模式。',
        perfmon: "資源監視器",
        computerManagement: "計算機管理",
        openWith: "打開方式",
        shutdown: "關機",
        restart: "重啟",
        sleep: "睡眠",
        lock: "鎖定",
        multipleItem: "多項目",
        itemList: "項目列錶",
        selectedItems: "已選項目",
        startMenu: "開始菜單",
        loading: "加載中",
        hoverMS: "懸停[毫秒]",
        numberOfColumns: "列數",
        globalShortcutKey: "全局快捷鍵",
        backgroundTransparency: "背景透明度",
        function: "功能",
        checkInvalidItem: "檢查無效項目",
        useIconBackgroundColor: "使用圖示背景顏色",
        doNotDisturb: "勿擾模式",
        doNotDisturbNote: "開啟勿擾模式後，計算機在遊戲、應用全屏模式下不會彈出Dawn Launcher視窗。",
        createDesktopShortcut: "創建捷徑",
        fontSize: "字體大小",
        network: "網路",
        proxy: "代理",
        useProxy: "使用代理",
        username: "用戶名",
        password: "密碼",
        address: "地址",
        proxyNote: "僅支援HTTP代理，填寫“地址”時需要帶通信協議和端口，例如：http://127.0.0.1:7890，如果沒有用戶名和密碼，為空即可。",
        color: "顏色",
        fontShadow: "字體陰影",
        mainColor: "主色",
        secondaryColor: "副色",
        mainFontColor: "字體主色",
        secondaryFontColor: "字體副色",
        borderColor: "邊框色",
        backgroundImage: "背景圖",
        backgroundImageMode: "背景圖模式",
        repeat: "重復",
        notRepeat: "不重復",
        zoom: "縮放",
        backgroundImagePosition: "背景圖定位",
        bottom: "底部",
        windowRoundedCorners: "視窗圓角",
        doubleClickTaskbar: "雙擊任務欄",
        refreshIconCache: "刷新圖示緩存",
        extraLarge: "超大",
        titleBar: "標題欄",
        title: "標題",
        setClassificationIcon: "設定分類圖示",
        setIcon: "設定圖示",
        deleteIcon: "刪除圖示",
        iconMode: "圖示模式",
        mode: "模式",
        normal: "普通",
        icon: "圖示",
        toRelativePath: "轉相對路徑",
        toAbsolutePath: "轉絕對路徑",
        delayDisplayMS: "延遲顯示[毫秒]",
        delayHidingMS: "延遲隱藏[毫秒]",
        explorerMenu: "資源管理器菜單",
        associatedFolder: "關聯檔案夾",
        associatedFolderMessage: "設定關聯檔案夾會清空原分類下所有項目，請謹慎操作，是否確認？",
        numberKey: "數字鍵",
        none: "無",
        ctrlNumberKey: "Ctrl + 數字鍵",
        altNumberKey: "Alt + 數字鍵",
        fixedClassification: "固定分類",
        autoSwitchClassification: "項目列錶滾動到底部或頂部時自動切換分類",
        colonKeywordSpace: "冒號 + 關鍵字 + 空格",
        keywordSpace: "關鍵字 + 空格",
        excludeSearch: "排除搜索",
        modifyIcon: "修改圖示",
        switchEnglish: "顯示視窗時將輸入法切換為英文模式",
        startLocation: "起始位置",
        startLocationNote: "無特殊需求為空即可",
        batchOperation: "批量操作",
        cancelBatchOperation: "取消批量操作",
        openNow: "僅剩一項時立即打開",
        backgroundImageTransparency: "背景圖透明度",
        batchDeleteItemMessage: "是否批量刪除所選項目？",
        turnOffMonitor: "關閉顯示器",
        showOnlyFiles: "只顯示文件",
        showOnlyFolders: "只顯示檔案夾",
        description: "描述",
        deleteClassificationMessage: "是否刪除當前分類？",
        batchMoveItemMessage: "是否批量移動項目？",
        batchCopyItemMessage: "是否批量復制項目？",
        downloadImageFailedMessage: "下載圖片失敗。",
        downloadImageNotImageFormatMessage: "鏈接不是圖片格式。",
        refreshIconCurrentClassificationMessage: "是否刷新當前分類下所有項目圖示緩存？",
        relativeCurrentClassificationMessage: "是否將當前分類下所有項目都轉為相對路徑？",
        absoluteCurrentClassificationMessage: "是否將當前分類下所有項目都轉為絕對路徑？",
        batchRefreshIconCache: "批量刷新圖示緩存",
        batchConversionRelativePath: "批量轉為相對路徑",
        batchConversionAbsolutePath: "批量轉為絕對路徑",
        convertRelativePath: "轉為相對路徑",
        convertAbsolutePath: "轉為絕對路徑",
        deleteItemMessage: "是否刪除項目？",
        clearItemMessage: "是否清空當前分類下所有項目？",
        modifyDataDirectoryMessage: "是否確定修改數據目錄，點選”確定“後，將修改數據目錄併重啟應用程式。",
        backUpData: "備份數據",
        restoreData: "恢復數據",
        aggregateClassification: "聚合分類",
        aggregateClassificationNote: "說明：聚合分類可以將所有分類下的項目聚合到一起，按照設定的排序方式、項目數量進行排序和顯示。",
        aggregateClassificationSortNote: "如果選擇按打開次數排序，需要進入設定-項目-打開-記錄打開次數，開啟記錄打開次數功能。",
        aggregateClassificationMessage: "設定聚合分類會清空原分類下所有項目，請謹慎操作，是否確認？",
        itemNumber: "項目數量",
        byLastOpen: "按最近打開",
        hiddenItem: "隱藏項",
        hiddenItemNote: "輸入需要隱藏文件/檔案夾名稱，多個按英文逗號分割。",
        svgCodeIcon: "SVG代碼圖示",
        svgCodeIconPlaceholder: "請輸入SVG代碼...",
        svgCodeIconValidationNote: "輸入SVG代碼後，需要先點選“校驗”按鈕。",
        networkIcon: "網路圖示",
        networkIconPlaceholder: "請輸入鏈接地址...",
        networkIconNote: "支援JPG、JPEG、GIF、PNG、ICO、SVG格式圖片。",
        getIcon: "獲取圖示",
        localIcon: "在地圖示",
        notRefreshIcon: "不參與刷新圖示緩存",
        targetNotExist: "目標不存在",
        switchClassificationCollapseOtherSubClassification: "切換分類時收起其他子分類",
        hideWindowFoldChildClassification: "隱藏視窗時收起子分類",
        displayMainInterface: "顯示主界面",
        hideThisItem: "隱藏該項",
        selectAll: "全選",
        emptyRecycleBin: "清空回收站",
        matchingConditions: "匹配條件",
        historyRecord: "歷史記錄",
        openAfterHideQuickSearchWindow: "開啟後隱藏快速搜尋視窗",
        subClassification: "子分類",
        fontWeight: "字體粗細",
        fontLineHeight: "字體行高",
      },
    },
    // 背景图
    backgroundImage: null,
    // 图标
    iconDataMap: null,
  },
  mutations: {},
  actions: {},
  modules: {},
});
